POST /profiles

Create a profile. timezone: the IANA zone CSV bulk uploads read schedule_time in when a row names no tz

POST
/profiles

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
name*string
Lengthlength <= 100
description?|
Lengthlength <= 500
color?string|null
timezone?|

IANA zone

externalId?|
Lengthlength <= 255
isDefault?boolean

Response Body

{message, profile}

application/json
  1. response
message?string
profile?
Example Request
curl -X POST 'https://example.com/api/v1/profiles' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "message": "string",  "profile": {    "id": "string",    "name": "string",    "description": "string",    "color": "string",    "timezone": "string",    "externalId": "string",    "isDefault": true,    "accountCount": 0,    "createdAt": "string",    "updatedAt": "string"  }}